/* Custom title + breadcrumb for product archive and product category pages */
body.post-type-archive-product .rutao-archive-heading,
body.tax-product-category .rutao-archive-heading {
    max-width: var(--global-content-width, 1320px);
    margin-left: auto;
    margin-right: auto;
    padding: 78px 0 32px;
    text-align: left;
}

/* Title */
body.post-type-archive-product .rutao-archive-title,
body.tax-product-category .rutao-archive-title {
    color: #111;
    font-size: 26px;
    line-height: 1.2;
    font-weight: 700;
    margin: 0 0 18px 0;
    padding: 0;
    text-align: left;
}

/* Breadcrumb */
body.post-type-archive-product .rutao-archive-breadcrumb,
body.tax-product-category .rutao-archive-breadcrumb,
body.post-type-archive-product .rutao-archive-breadcrumb p,
body.tax-product-category .rutao-archive-breadcrumb p,
body.post-type-archive-product .rutao-archive-breadcrumb #breadcrumbs,
body.tax-product-category .rutao-archive-breadcrumb #breadcrumbs {
    color: #111;
    font-size: 14px;
    line-height: 1.6;
    margin: 0;
    padding: 0;
    text-align: left;
}

/* Breadcrumb links */
body.post-type-archive-product .rutao-archive-breadcrumb a,
body.tax-product-category .rutao-archive-breadcrumb a {
    color: #242d2d;
    text-decoration: underline;
}

body.post-type-archive-product .rutao-archive-breadcrumb a:hover,
body.tax-product-category .rutao-archive-breadcrumb a:hover {
	color: #ffc439;
    text-decoration: underline;
}

.loop-entry.type-product h2.entry-title,
.loop-entry.type-product h2.entry-title a,
.archive .loop-entry h2.entry-title,
.archive .loop-entry h2.entry-title a {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    font-size: 18px !important;
    font-weight: 600;
}


/* Mobile */
@media (max-width: 767px) {
    body.post-type-archive-product .rutao-archive-heading,
    body.tax-product-category .rutao-archive-heading {
        padding-top: 72px;
        padding-bottom: 24px;
    }

    body.post-type-archive-product .rutao-archive-title,
    body.tax-product-category .rutao-archive-title {
        font-size: 26px;
    }
}

/* Hide Kadence hero on product archive and product category archive */
body.post-type-archive-product .entry-hero,
body.tax-product-category .entry-hero {
    display: none !important;
}